std::_List_iterator< _Tp >(3)

NAME
std::_List_iterator< _Tp > -

SYNOPSIS

  Public Types
typedef _List_node< _Tp > _Node
typedef _List_iterator< _Tp > _Self
typedef ptrdiff_t difference_type
typedef std::bidirectional_iterator_tag iterator_category
typedef _Tp * pointer
typedef _Tp & reference
typedef _Tp value_type

  Public Member Functions
_List_iterator (__detail::_List_node_base *__x) noexcept
_Self _M_const_cast () const noexcept
bool operator!= (const _Self &__x) const noexcept
reference operator* () const noexcept
_Self & operator++ () noexcept
_Self operator++ (int) noexcept
_Self & operator-- () noexcept
_Self operator-- (int) noexcept
pointer operator-> () const noexcept
bool operator== (const _Self &__x) const noexcept

  Public Attributes
__detail::_List_node_base * _M_node

Detailed Description

  template<typename _Tp>struct std::_List_iterator< _Tp >
A list::iterator. All the functions are op overloads.

Definition at line 125 of file stl_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.